From: <a href="/blend/av.cgi?id=1614">Anne Lister</a><BR>
Date: 20 March 2005<P>

I'm happy to see that someone has contributed my song "Demeter's Daughter" to your site ...I'd have been even happier if it had been credited to me!  As I know that all the recorded versions of it have, indeed, been credited to me it's a bit of a mystery how it comes to be anonymous on your site .... <BR>
<BR>
Excuse a songwriter's vanity here, but it's my baby!<BR>
<BR>
Anne<BR>
www.annelister.com 
<HR>
From: <a href="/blend/av.cgi?id=74">Echolocation</a><BR>
Date: 20 March 2005<P>

Anne -- I was the one who contributed Demeter's Daughter to this site.  I first encountered it courtesy of The Bawdy Balladeers, a Renaissance Festival group that I heard at a festival (in Maryland, I think?) about ten years ago.  Are/were you a member of said group?  They are amazing!  I guess I could have attributed it to the Bawdy Balladeers when I posted it, but I didn't know if they wrote it originally or if they got it from someone else, so I played it safe and said "author unknown." If you really are the author, let me tell you thank you!!!!  I have loved that song for years :)<BR>
<BR>
Kirk, can you change the archives to attribute this song correctly?
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 20 March 2005<P>

I think I let go of May Day a little too soon. I left out a couple of lines I think so I will have to revise it. I hate it when I do that.<BR>
<BR>
Aparajita; How's your Mom doing. Tell her we are still sending warm thoughts her way. My little Mom got some great news on Friday. She does not have to have chemo after her lung cancer surgery. Glory Hallelujah are we ever happy about that one. Time to celebrate big time.<BR>
<BR>
bk<BR>

<HR>